Description
Steps in order to reproduce the issue:
    -  for instance, create a random vector layer of e.g. 100 points from Geoprocessing;
    -  start editing the layer and add one point;
    -  then, open the attribute table of the layer and try to edit the value 100 of the ID field for the new point.
Results: 
    -  the table is visualized not correctly (if not refreshed), i.e. the row indices and their corresponding values are not aligned correctly;
    -  the value of the edited cell is always 0 (after stopping editing too);
    -  instead, it's possible to type a value < 100 (instead of 100) even if the field ID is of Long type with size 18, but the following error
happens:

WARN 504119 MapControl Drawer Worker org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest - Problems drawing
mapcontext.
org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'Risultato'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvs
va:466)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(Abstra
)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.v
)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more
ERROR 504129 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - There was errors loading from 'Risultato'.

- Problems drawing layer
- Index: 1, Size: 1

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'Risultato'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.feature
orialLegend.java:554)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more
ERROR 504129 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - There was errors loading from 'Risultato'.

- Problems drawing layer
- Index: 1, Size: 1

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'Risultato'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.vi
java:536)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more
ERROR 504129 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - There was errors loading from 'Risultato'.

- Problems drawing layer
- Index: 1, Size: 1

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'Risultato'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl
va:458)
    ... 11 more
ERROR 504129 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - There was errors loading from
'Risultato'.

- Problems drawing layer
- Index: 1, Size: 1

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'Risultato'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

va:466)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

orialLegend.java:554)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

java:536)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

va:458)
    ... 11 more

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4788: Attribute editor e... Closed 01/13/2018
Related to Application: gvSIG desktop - gvSIG bugs # 4785: Problem with editi... Closed 01/09/2018

Associated revisions
Revision 43722 - 01/18/2018 08:29 AM - Joaquín  del Cerro Murciano

refs #4787, #4788. Corregido como el FeatureManager reconstruye una feature editada para que acceda correctamente a los campos de esta aunque
no este completa la feature

History
#1 - 01/16/2018 09:01 PM - Mario Carrera
- Severity changed from Major to Critical
- File gvSIG.log added

I've been trying to edit several SHP files but I get errors when I edit the attribute table (BN 2846).

I attach the log file.

#2 - 01/18/2018 03:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed
#3 - 01/18/2018 03:04 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4788: Attribute editor errors added

#4 - 01/18/2018 04:49 PM - Francisco Díaz Carsí
- Related to gvSIG bugs #4785: Problem with editing tool added

#5 - 01/29/2018 07:22 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
gvSIG.log 426 KB 01/16/2018 Mario Carrera
